﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DataFormTest
{
    public partial class Validation2 : UserControl
    {
        public Validation2()
        {
            InitializeComponent();
            this.SaveButton.Click += OnSave;
            this.dataGrid.SelectionChanged += new SelectionChangedEventHandler(dataGrid_SelectionChanged);

            var products = new DataService().GetPeople();
            this.DataContext = products;
        }

        void dataGrid_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Employee p = dataGrid.SelectedItem as Employee;
            p.BeginEdit();
        }

        private void  OnSave(object sender, RoutedEventArgs e)
        {
            Employee p = dataGrid.SelectedItem as Employee;
            p.EndEdit();
         }
    }
}
